com.independentsoft.exchange

## Class EnhancedLocation

- java.lang.Object
- - com.independentsoft.exchange.EnhancedLocation

-     public class EnhancedLocation
      extends java.lang.Object

  Contains enhanced location information for a calendar item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnhancedLocation()` Initializes a new instance of the EnhancedLocation class.
    `EnhancedLocation(java.lang.String displayName)` Initializes a new instance of the EnhancedLocation class by using the supplied display name.
    `EnhancedLocation(java.lang.String displayName, java.lang.String annotation)` Initializes a new instance of the EnhancedLocation class by using the supplied display name and calendar item note.
    `EnhancedLocation(java.lang.String displayName, java.lang.String annotation, PersonaPostalAddress postalAddress)` Initializes a new instance of the EnhancedLocation class by using the supplied display name, calendar item note, and persona postal address.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnotation()` Gets the note associated with a calendar item.
    `java.lang.String` | `getDisplayName()` Gets the display name associated with the calendar item.
    `PersonaPostalAddress` | `getPostalAddress()` Gets the postal address for the associated persona.
    `void` | `setAnnotation(java.lang.String annotation)` Sets the note associated with a calendar item.
    `void` | `setDisplayName(java.lang.String displayName)` Sets the display name associated with the calendar item.
    `void` | `setPostalAddress(PersonaPostalAddress postalAddress)` Sets the postal address for the associated persona.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnhancedLocation

          public EnhancedLocation()

      Initializes a new instance of the EnhancedLocation class.

    - #### EnhancedLocation

          public EnhancedLocation(java.lang.String displayName)

      Initializes a new instance of the EnhancedLocation class by using the supplied display name.
      Parameters:
        `displayName` - The location display name.

    - #### EnhancedLocation

          public EnhancedLocation(java.lang.String displayName,
                                  java.lang.String annotation)

      Initializes a new instance of the EnhancedLocation class by using the supplied display name and calendar item note.
      Parameters:
        `displayName` - The location display name.
        `annotation` - The annotation on the location.

    - #### EnhancedLocation

          public EnhancedLocation(java.lang.String displayName,
                                  java.lang.String annotation,
                                  PersonaPostalAddress postalAddress)

      Initializes a new instance of the EnhancedLocation class by using the supplied display name, calendar item note, and persona postal address.
      Parameters:
        `displayName` - The location display name.
        `annotation` - The annotation on the location.
        `postalAddress` - The persona postal address.

  - ### Method Detail

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name associated with the calendar item.
      Returns:
        the display name

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

      Sets the display name associated with the calendar item.
      Parameters:
        `displayName` - the new display name

    - #### getAnnotation

          public java.lang.String getAnnotation()

      Gets the note associated with a calendar item.
      Returns:
        the annotation

    - #### setAnnotation

          public void setAnnotation(java.lang.String annotation)

      Sets the note associated with a calendar item.
      Parameters:
        `annotation` - the new annotation

    - #### getPostalAddress

          public PersonaPostalAddress getPostalAddress()

      Gets the postal address for the associated persona.
      Returns:
        the postal address

    - #### setPostalAddress

          public void setPostalAddress(PersonaPostalAddress postalAddress)

      Sets the postal address for the associated persona.
      Parameters:
        `postalAddress` - the new postal address